anonymous Log in
Search
Recents:
v3.0
sd
Compilar con Android 10 desde Genexus 15
23/10/20 17:30

gz.perezcastro

Replies: 3

Hola, estoy empezando a desarrollar para Smart Devices en Genexus.
Desde noviembre Google Play va a requerir que las nuevas versiones de las
aplicaciones sean compiladas con Android 10 (API 29) o superiores.
Actualmente estoy desarrollando con Genexus 15 JDK 1.8 y compilando los
Smart Devices con API 26.0.2
Al actualizar el SDK desde la ide no me trae una versión más actualizada.
Nota: Actualice la versión del sdk directamente desde línea de comandos con
el sdkmanager e intenté compilar el proyecto para API 29 y API 30 pero no
lo comila.
Intenté modificar los archivos del gradle ext.gradle y build.gradle que
trae seteados la versión de API 26.0.2 pero los sobreescribe.
También intente con el archivo android_requirements.txt pero no me andubo y
tampoco me anime a seguir tocando sin saber.
Mi pregunta es ¿se puede compilar para Android 10 desde Genexus 15? ¿como?
Desde ya muchas gracias
Replies

mcrispino

23/10/20 17:38
Guzmán: No, no es posible con GeneXus 15. Para compilar con API 29 se requiere GeneXus 16 Upgrade 9 o superior. Hay más información en la página de Android Requirements . Saludos. *Marcos Crispino* Research & Development | GeneXus +598 2601 2082 | Simplifying Software Development [image: GeneXus] On Fri, Oct 23, 2020 at 2:31 PM Guzmán Pérez Castro < gz.perezcastro@gmail.com>

gz.perezcastro

23/10/20 17:49
Hola, gracias por la respuesta. Entonces sería mejor ya migrar a genexus 17. Mi KB está asociado a un gxserver 15, para migrar también debo migrar de gxserver? El vie., 23 oct. 2020 a las 14:38, Marcos Crispino ()

mcrispino

23/10/20 17:59
Con GeneXus 17 podés hacer checkout de una KB que está en un GeneXus Server 15. Lo que no se puede es hacer *commit* desde un GeneXus 17 a un GeneXus Server 15. Así que, sí, te convendría migrar el GeneXus Server también. On Fri, Oct 23, 2020 at 2:49 PM Guzmán Pérez Castro < gz.perezcastro@gmail.com>


Back to sd